Get a brand attribute
curl --request GET \
--url https://api.bambumeta.software/brands/{brand_id}/attributes/{brand_attribute_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.bambumeta.software/brands/{brand_id}/attributes/{brand_attribute_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.bambumeta.software/brands/{brand_id}/attributes/{brand_attribute_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brandAttributeId": 8,
"name": "memberId",
"dataType": "string",
"searchable": true,
"unique": true
}Brand attributes
Get a brand attribute
Returns a single brand attribute definition by ID.
GET
/
{brand_id}
/
attributes
/
{brand_attribute_id}
Get a brand attribute
Authorizations
Path Parameters
Brand Identifier
brand attribute Identifier
Response
200 - application/json
OK
Unique identifier for the brand attribute
Attribute name
Description of the Attribute
Unique identifier for the brand
Is the attribute required
Is the attribute encrypted
Is the attribute searchable
Is the attribute unique
Status code for the brand attribute
Valid values: 'string'|'number'|'boolean'|'date', in not provided, assumes string.
Show child attributes
Show child attributes